Accept incoming call
curl --request POST \
--url https://api.d-api.cloud/api/v1/calls/accept \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"sessionId": "<string>",
"callId": "<string>",
"from": "<string>"
}
'import requests
url = "https://api.d-api.cloud/api/v1/calls/accept"
payload = {
"sessionId": "<string>",
"callId": "<string>",
"from": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({sessionId: '<string>', callId: '<string>', from: '<string>'})
};
fetch('https://api.d-api.cloud/api/v1/calls/accept', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.d-api.cloud/api/v1/calls/accept",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'sessionId' => '<string>',
'callId' => '<string>',
'from' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.d-api.cloud/api/v1/calls/accept"
payload := strings.NewReader("{\n \"sessionId\": \"<string>\",\n \"callId\": \"<string>\",\n \"from\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.d-api.cloud/api/v1/calls/accept")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"sessionId\": \"<string>\",\n \"callId\": \"<string>\",\n \"from\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.d-api.cloud/api/v1/calls/accept")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"sessionId\": \"<string>\",\n \"callId\": \"<string>\",\n \"from\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"sessionId": "session123",
"callId": "3EB0C767D26B8F2A1B11",
"wsUrl": "wss://api.d-api.cloud/voip/stream?callId=3EB0C767D26B8F2A1B11&token=TOKEN_DA_CHAMADA",
"token": "TOKEN_DA_CHAMADA",
"data": {
"callId": "3EB0C767D26B8F2A1B11"
}
}{
"success": false,
"error": "Failed to accept call",
"sessionId": "session123"
}{
"success": false,
"error": "Session not found",
"sessionId": "session123"
}{
"success": false,
"error": "Live call streaming is not available (Redis disabled)",
"sessionId": "session123"
}Calls
Accept incoming call
Answers an incoming WhatsApp call in live stream mode and returns a media WebSocket (wsUrl + token), in the same format as POST /calls/stream. Connect to the WS to stream microphone audio, hear the caller and receive the call lifecycle events. Use the callId from the call.offer event while the call is still ringing. Unavailable on cloud_api (Official API) connections.
POST
/
api
/
v1
/
calls
/
accept
Accept incoming call
curl --request POST \
--url https://api.d-api.cloud/api/v1/calls/accept \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"sessionId": "<string>",
"callId": "<string>",
"from": "<string>"
}
'import requests
url = "https://api.d-api.cloud/api/v1/calls/accept"
payload = {
"sessionId": "<string>",
"callId": "<string>",
"from": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({sessionId: '<string>', callId: '<string>', from: '<string>'})
};
fetch('https://api.d-api.cloud/api/v1/calls/accept', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.d-api.cloud/api/v1/calls/accept",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'sessionId' => '<string>',
'callId' => '<string>',
'from' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.d-api.cloud/api/v1/calls/accept"
payload := strings.NewReader("{\n \"sessionId\": \"<string>\",\n \"callId\": \"<string>\",\n \"from\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.d-api.cloud/api/v1/calls/accept")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"sessionId\": \"<string>\",\n \"callId\": \"<string>\",\n \"from\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.d-api.cloud/api/v1/calls/accept")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"sessionId\": \"<string>\",\n \"callId\": \"<string>\",\n \"from\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"sessionId": "session123",
"callId": "3EB0C767D26B8F2A1B11",
"wsUrl": "wss://api.d-api.cloud/voip/stream?callId=3EB0C767D26B8F2A1B11&token=TOKEN_DA_CHAMADA",
"token": "TOKEN_DA_CHAMADA",
"data": {
"callId": "3EB0C767D26B8F2A1B11"
}
}{
"success": false,
"error": "Failed to accept call",
"sessionId": "session123"
}{
"success": false,
"error": "Session not found",
"sessionId": "session123"
}{
"success": false,
"error": "Live call streaming is not available (Redis disabled)",
"sessionId": "session123"
}Body
application/jsonmultipart/form-datatext/plain
